﻿Public Class Form1

    Dim redPen As New Pen(Color.Red, 3)

    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        'Resize Form
        Me.SetClientSizeCore(750, 750)
    End Sub

    Private Sub Form1_Paint(ByVal sender As Object, ByVal e As System.Windows.Forms.PaintEventArgs) Handles Me.Paint
        'Drawing will be relative to top-left of Black bounding Rectangle
        e.Graphics.TranslateTransform(CInt(750 - NumericUpDown2.Value) \ 2, CInt(750 - NumericUpDown3.Value) \ 2)

        'Define drawing quality
        e.Graphics.CompositingQuality = Drawing2D.CompositingQuality.HighQuality
        e.Graphics.InterpolationMode = Drawing2D.InterpolationMode.HighQualityBilinear

        'Draw Black bounding Rectangle
        e.Graphics.DrawRectangle(Pens.Black, New Rectangle(0, 0, CInt(NumericUpDown2.Value), CInt(NumericUpDown3.Value)))

        'Create a new TrianglePoints Class to calculate the Triangle vertices
        Dim t As New TrianglePoints(100, 37, 53, 90, CInt(NumericUpDown2.Value), CInt(NumericUpDown3.Value), CInt(NumericUpDown1.Value))

        'Draw the Triangle
        e.Graphics.DrawLine(redPen, t.A.ToPoint, t.B.ToPoint)
        e.Graphics.DrawLine(redPen, t.B.ToPoint, t.C.ToPoint)
        e.Graphics.DrawLine(redPen, t.C.ToPoint, t.A.ToPoint)

        'Reset Graphics
        e.Graphics.ResetTransform()
    End Sub

    Private Sub NumericUpDown1_ValueChanged(ByVal sender As Object, ByVal e As System.EventArgs) Handles NumericUpDown1.ValueChanged, NumericUpDown2.ValueChanged, NumericUpDown3.ValueChanged
        'Invoke _Paint to re-draw Form
        Me.Invalidate()
    End Sub

End Class
